棉花说的卡多与卡少，并没有一个明确的标准。像 QB 的局，即使是 30 卡的局（如 QB083），棉花也不说卡多不解，反而说是卡少的好局。而像我，即使是 14 卡的局（如 X-LV-43），棉花也说卡多不解，即使是实打实的 17 卡的局（如 X-LV-34），棉花还是说卡多不解。

棉花这反复无常的话语，实在自相矛盾。但我们切不可因噎废食，减少残局卡数还是有其独到之处的。

# 残局简化方法

* 干扰卡，指不参与解局过程，或者参与解局过程但是其效果基本没有得到发挥的卡。

因此，可以划分为两类来讨论。

若干扰卡不参与解局过程，则其本身对于该残局来说可有可无。可有，则是其能辅助其他卡生成血量相近的解法来干扰玩家思路（如 X-LV-45）。可无，则是完全可以去掉（如 X-LV-32）。

若干扰卡参与解局过程，但是其效果基本没有得到发挥，则其本身对于该残局来说必须有。这种干扰卡，应该优中选优，选能在满足当前残局流程的必要条件下最能配合其他卡生成干扰玩家思路的解法的卡（如 QB006）。

* 冗余卡，指玩家的同一操作流程，在仅考虑冗余卡的其中几卡时，顺手便把另外的冗余卡给解了（如四妹的第 32 局）。因此，冗余卡，可以看作是残局中的过度约束条件，完全可以去掉冗余卡中的一部分，仅留下其子集——必要卡。

* 卡数，在残局中仅统计有效果卡的数量。这是因为读有效果的卡不仅比读没效果的卡要困难，而且还会带来更大的思维负担。

一般来说，认知资源和思维负载之间成反比关系：当认知资源增加时，思维负载就减少，而当认知资源减少时，思维负载就增加。但这是因为较少的认知资源已经包含了思维推理所需的必要条件，而在此之上增加的认知资源提供了更多的思维推理所需要的中间步骤。

在残局里，所有卡的效果加起来，其中已经包含了解局所需要的必要效果，但是那部分多出来的效果则并不能提供解局所需的中间步骤。因此，在残局里，思维负担与效果数量成正比，即效果数量越多，思维负担越重；效果数量越少，思维负担越轻（这里尚未考虑到效果的质量等其他属性）。

把残局流程中的有效果卡替换成无效果卡，可以显著减少残局中的效果数量，降低思维负担。比如，把对方场上的怪兽替换成无效果卡（如 X-LV-32）。比如，把某些怪兽需要的 cost 替换成无效果卡（如四妹的第 37 局）。

在游戏王卡池中，无效果卡的数量较少，难免不能满足某些残局中所需要的特定条件，这时可以用代码来修改无效果卡的数值，使其满足条件（如四妹的第 36 局）。

* AI 对此的评价是““棉花说的卡多与卡少”是指解题过程中所需要的卡牌数量。针对残局问题，作者提出了两种简化方法：干扰卡和冗余卡。对于干扰卡来说，可以选取能在满足当前残局流程的必要条件下最能配合其他卡生成干扰玩家思路的解法的卡。对于冗余卡，则可以看作是残局中的过度约束条件，完全可以去掉冗余卡中的一部分，仅留下其子集——必要卡。此外，在残局中仅统计有效果卡的数量，可以显著减少效果数量，降低思维负担。因此，在残局中，简化卡数和优化卡牌使用方法可以提高解题效率。”

* 残局简化不会影响原局的主要流程。